Subject: Re: [PATCH v4 1/9] config tests: cover blind spots in git_die_config() tests

From: Junio C Hamano <[email-masked]>
Date: Thu, 02 Feb 2023 17:22:10 -0800

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> There were no tests checking for the output of the git_die_config()
> function in the config API, added in 5a80e97c827 (config: add
> `git_die_config()` to the config-set API, 2014-08-07). We only tested
> "test_must_fail", but didn't assert the output.

It sort of is expected as git_die_config() is useful only for code
that uses new style config parsing (i.e. instead of using the
git_config() callback interface to parse what we encounter in the
config file, actively call git_config_get_foo() interface to ask for
keys the caller cares about), and dying unconditionally is not
useful for the old style ones.

A better coverage is good.